    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.security.Signer

    java.lang.Object
       |
       +----java.security.Identity
               |
               +----java.security.Signer

public abstract class Signer
extends Identity

This class is used to represent an Identity that can also digitally sign data.

The management of a signer's private keys is an important and sensitive issue that should be handled by subclasses as appropriate to their intended use.

See Also:
  Identity

##

Signer()
  Creates a signer.
Signer(String)
  Creates a signer with the specified identity name.
Signer(String, IdentityScope)
  Creates a signer with the specified identity name and scope.

##

getPrivateKey()
  Returns this signer's private key.
setKeyPair(KeyPair)
  Sets the key pair (public key and private key) for this signer.
toString()
  Returns a string of information about the signer.

##

Signer

     protected Signer()

  Creates a signer. This constructor should only be used for serialization.

Signer

     public Signer(String name)

  Creates a signer with the specified identity name.

  Parameters:
    name - the identity name.

Signer

     public Signer(String name,
                   IdentityScope scope) throws KeyManagementException

  Creates a signer with the specified identity name and scope.

  Parameters:
    name - the identity name.
    scope - the scope of the identity.
  Throws: KeyManagementException
    if there is already an identity with the same name in the scope.

##

getPrivateKey

     public PrivateKey getPrivateKey()

  Returns this signer's private key.

  Returns:
    this signer's private key, or null if the private key has not yet been set.

setKeyPair

     public final void setKeyPair(KeyPair pair) throws InvalidParameterException, KeyException

  Sets the key pair (public key and private key) for this signer.

  Parameters:
    pair - an initialized key pair.
  Throws: InvalidParameterException
    if the key pair is not properly initialized.
  Throws: KeyException
    if the key pair cannot be set for any other reason.

toString

     public String toString()

  Returns a string of information about the signer.

  Returns:
    a string of information about the signer.
  Overrides:
    toString in class Identity

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.